petsc-3.4.2 2013-07-02

# MatMFFDSetBase

Sets the vector U at which matrix vector products of the Jacobian are computed

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetBase(Mat J,Vec U,Vec F)

Logically Collective on Mat

### Input Parameters

| J | - the MatMFFD matrix
| U | - the vector
| F | - (optional) vector that contains F(u) if it has been already computed

Notes: This is rarely used directly

If F is provided then it is not recomputed. Otherwise the function is evaluated at the base point during the first MatMult() after each call to MatMFFDSetBase().

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html